<!DOCTYPE html>
{% load static %}
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <title>Note List</title>
        <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
    </head>
    <body>
        {% comment %} Navigation bar {% endcomment %}
        <ul>
            <li><a href="{% url 'index' %}">Home</a></li>
            <li><a href="{% url 'add_note' %}">+ Add Note</a></li>
            <li><a class="active" href="{% url 'note_list' %}">Note List</a></li>
        </ul>
        {% comment %} Main content {% endcomment %}
        <h1>Note List</h1>
        {% if notes %}
            {% for note in notes %}
                <div class="card">
                    <p>To: {{ note.to }}</p>
                    <p>From: {{ note.from }}</p>
                    <p><b>{{ note.title }}</b></p>
                    <p>{{ note.message }}</p>
                </div>
            {% endfor %}
        {% endif %}
    </body>
</html>